[arch-commits] Commit in gnucash/repos (3 files)

Eric Bélanger eric at archlinux.org
Sat Nov 7 16:06:06 EST 2009


    Date: Saturday, November 7, 2009 @ 16:06:06
  Author: eric
Revision: 58431

Merged revisions 58430 via svnmerge from 
svn+ssh://gerolde.archlinux.org/srv/svn-packages/gnucash/trunk

........
  r58430 | eric | 2009-11-07 16:05:48 -0500 (Sat, 07 Nov 2009) | 2 lines
  
  upgpkg: gnucash 2.2.9-3
      Add fix to update icon cache, removed optional texinfo depends
........

Modified:
  gnucash/repos/extra-x86_64/	(properties)
  gnucash/repos/extra-x86_64/PKGBUILD
  gnucash/repos/extra-x86_64/gnucash.install

-----------------+
 PKGBUILD        |   22 ++++++++++------------
 gnucash.install |    5 +++++
 2 files changed, 15 insertions(+), 12 deletions(-)


Property changes on: gnucash/repos/extra-x86_64
___________________________________________________________________
Modified: svnmerge-integrated
   - /gnucash/trunk:1-30839
   + /gnucash/trunk:1-58430

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2009-11-07 21:05:48 UTC (rev 58430)
+++ extra-x86_64/PKGBUILD	2009-11-07 21:06:06 UTC (rev 58431)
@@ -4,12 +4,12 @@
 
 pkgname=gnucash
 pkgver=2.2.9
-pkgrel=2
+pkgrel=3
 pkgdesc="A personal and small-business financial-accounting application"
-arch=(i686 x86_64)
+arch=('i686' 'x86_64')
 url="http://www.gnucash.org"
 license=("GPL")
-depends=('gtkhtml' 'slib' 'goffice>=0.6.5' 'guile' 'libofx' 'gconf>=2.24' 'texinfo')
+depends=('gtkhtml' 'slib' 'goffice>=0.6.5' 'guile' 'libofx' 'gconf>=2.24')
 makedepends=('intltool')
 optdepends=('evince: for print preview'
             'gnucash-docs: (AUR) for user documentation'
@@ -19,18 +19,16 @@
 install=gnucash.install
 source=(http://downloads.sourceforge.net/sourceforge/${pkgname}/${pkgname}-${pkgver}.tar.gz)
 md5sums=('570eee09a1ae83c9953ec60a7fc146ed')
+sha1sums=('8f63c67fcceaae93ceb8827143cc6a470e3a096a')
 
 build() {
-  cd ${srcdir}/${pkgname}-${pkgver}
+  cd "${srcdir}/${pkgname}-${pkgver}"
   ./configure --prefix=/usr --mandir=/usr/share/man \
-        --sysconfdir=/etc --libexecdir=/usr/lib --enable-ofx
+        --sysconfdir=/etc --libexecdir=/usr/lib --enable-ofx || return 1
   make || return 1
-  make GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 DESTDIR=${pkgdir} install || return 1
+  make GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 DESTDIR="${pkgdir}" install || return 1
 
-  install -d -m755 ${pkgdir}/usr/share/gconf/schemas
-  gconf-merge-schema ${pkgdir}/usr/share/gconf/schemas/${pkgname}.schemas ${pkgdir}/etc/gconf/schemas/*.schemas || return 1
-  rm -f ${pkgdir}/etc/gconf/schemas/*.schemas
-
-  rm -f ${pkgdir}/usr/share/info/dir
-  gzip -9 ${pkgdir}/usr/share/info/*
+  install -d -m755 "${pkgdir}/usr/share/gconf/schemas"
+  gconf-merge-schema "${pkgdir}/usr/share/gconf/schemas/${pkgname}.schemas" "${pkgdir}/etc/gconf/schemas/*.schemas" || return 1
+  rm -f "${pkgdir}"/etc/gconf/schemas/*.schemas
 }

Modified: extra-x86_64/gnucash.install
===================================================================
--- extra-x86_64/gnucash.install	2009-11-07 21:05:48 UTC (rev 58430)
+++ extra-x86_64/gnucash.install	2009-11-07 21:06:06 UTC (rev 58431)
@@ -4,6 +4,7 @@
 
 post_install() {
   usr/sbin/gconfpkg --install ${pkgname}
+  gtk-update-icon-cache -q -t -f usr/share/icons/hicolor
   [ -x usr/bin/install-info ] || return 0
   for f in ${info_files[@]}; do
     usr/bin/install-info ${info_dir}/$f.gz ${info_dir}/dir 2> /dev/null
@@ -25,3 +26,7 @@
     usr/bin/install-info --delete ${info_dir}/$f.gz ${info_dir}/dir 2> /dev/null
   done
 }
+
+post_remove() {
+  gtk-update-icon-cache -q -t -f usr/share/icons/hicolor
+}



More information about the arch-commits mailing list